Bug 191692 - [biology/seqan] fix build on all platforms
Summary: [biology/seqan] fix build on all platforms
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-07 11:56 UTC by bugzilla
Modified: 2014-07-11 11:17 UTC (History)
3 users (show)

See Also:


Attachments
always USE_GCC (432 bytes, patch)
2014-07-07 11:56 UTC, bugzilla
bugzilla: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla 2014-07-07 11:56:47 UTC
Created attachment 144485 [details]
always USE_GCC

always USE_GCC

[I am maintainer, just different e-mail-address in new bugtracker]
Comment 1 bugzilla 2014-07-07 12:01:08 UTC
redport builds from yesterday:
https://redports.org/buildarchive/20140706143300-50102/
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2014-07-08 01:25:45 UTC
Notify maintainer.
Comment 3 Hannes Hauswedell 2014-07-08 14:45:33 UTC
Confirming that both e-mail address belong to me.
Comment 4 commit-hook freebsd_committer 2014-07-10 22:30:20 UTC
A commit references this bug:

Author: adamw
Date: Thu Jul 10 22:29:53 UTC 2014
New revision: 361497
URL: http://svnweb.freebsd.org/changeset/ports/361497

Log:
  Use gcc on all platforms.

  PR:		191692
  Submitted by:	maintainer

Changes:
  head/biology/seqan/Makefile
Comment 5 Adam Weinberger freebsd_committer 2014-07-10 22:31:51 UTC
Committed. I also removed the bsd.port.pre/post.mk now that the ${ARCH} check is removed.

I urge you to identify how/if this port can be built with clang. Forcing GCC is often not the optimal solution.
Comment 6 Hannes Hauswedell 2014-07-11 11:17:15 UTC
(In reply to Adam Weinberger from comment #5)
> Committed. I also removed the bsd.port.pre/post.mk now that the ${ARCH}
> check is removed.
> 
> I urge you to identify how/if this port can be built with clang. Forcing GCC
> is often not the optimal solution.

Version 1.5 or 2.0 will be released in the next months. It has Clang as official target platform, so I expect it will work well.